<!DOCTYPE html>
<head>    
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    
        <script>
            L_NO_TOUCH = false;
            L_DISABLE_3D = false;
        </script>
    
    <style>html, body {width: 100%;height: 100%;margin: 0;padding: 0;}</style>
    <style>#map {position:absolute;top:0;bottom:0;right:0;left:0;}</style>
    <script src="https://cdn.jsdelivr.net/npm/leaflet@1.6.0/dist/leaflet.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Leaflet.awesome-markers/2.0.2/leaflet.awesome-markers.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/leaflet@1.6.0/dist/leaflet.css"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap-theme.min.css"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Leaflet.awesome-markers/2.0.2/leaflet.awesome-markers.css"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/python-visualization/folium/folium/templates/leaflet.awesome.rotate.min.css"/>
    
            <meta name="viewport" content="width=device-width,
                initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
            <style>
                #map_6c5071c94d8650776a94e6706569bc85 {
                    position: relative;
                    width: 100.0%;
                    height: 100.0%;
                    left: 0.0%;
                    top: 0.0%;
                }
            </style>
        
    
                    <style>
                        .foliumtooltip {
                            
                        }
                       .foliumtooltip table{
                            margin: auto;
                        }
                        .foliumtooltip tr{
                            text-align: left;
                        }
                        .foliumtooltip th{
                            padding: 2px; padding-right: 8px;
                        }
                    </style>
            
    
                    <style>
                        .foliumpopup {
                            margin: auto;
                        }
                       .foliumpopup table{
                            margin: auto;
                        }
                        .foliumpopup tr{
                            text-align: left;
                        }
                        .foliumpopup th{
                            padding: 2px; padding-right: 8px;
                        }
                    </style>
            
    
                    <style>
                        .foliumtooltip {
                            
                        }
                       .foliumtooltip table{
                            margin: auto;
                        }
                        .foliumtooltip tr{
                            text-align: left;
                        }
                        .foliumtooltip th{
                            padding: 2px; padding-right: 8px;
                        }
                    </style>
            
    
                    <style>
                        .foliumpopup {
                            margin: auto;
                        }
                       .foliumpopup table{
                            margin: auto;
                        }
                        .foliumpopup tr{
                            text-align: left;
                        }
                        .foliumpopup th{
                            padding: 2px; padding-right: 8px;
                        }
                    </style>
            
    
                    <style>
                        .foliumtooltip {
                            
                        }
                       .foliumtooltip table{
                            margin: auto;
                        }
                        .foliumtooltip tr{
                            text-align: left;
                        }
                        .foliumtooltip th{
                            padding: 2px; padding-right: 8px;
                        }
                    </style>
            
    
                    <style>
                        .foliumpopup {
                            margin: auto;
                        }
                       .foliumpopup table{
                            margin: auto;
                        }
                        .foliumpopup tr{
                            text-align: left;
                        }
                        .foliumpopup th{
                            padding: 2px; padding-right: 8px;
                        }
                    </style>
            
</head>
<body>    
    
            <div class="folium-map" id="map_6c5071c94d8650776a94e6706569bc85" ></div>
        
</body>
<script>    
    
            var map_6c5071c94d8650776a94e6706569bc85 = L.map(
                "map_6c5071c94d8650776a94e6706569bc85",
                {
                    center: [40.44, -96.88],
                    crs: L.CRS.EPSG3857,
                    zoom: 4,
                    zoomControl: true,
                    preferCanvas: false,
                }
            );

            

        
    
            var tile_layer_dc367242e5353833def12723d0e26164 = L.tileLayer(
                "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png",
                {"attribution": "Data by \u0026copy; \u003ca href=\"http://openstreetmap.org\"\u003eOpenStreetMap\u003c/a\u003e, under \u003ca href=\"http://www.openstreetmap.org/copyright\"\u003eODbL\u003c/a\u003e.", "detectRetina": false, "maxNativeZoom": 18, "maxZoom": 18, "minZoom": 0, "noWrap": false, "opacity": 1, "subdomains": "abc", "tms": false}
            ).addTo(map_6c5071c94d8650776a94e6706569bc85);
        
    
        function geo_json_d1be3e5f46029f867d463694f83fcbf7_styler(feature) {
            switch(feature.id) {
                default:
                    return {"fillColor": "orange"};
            }
        }

        function geo_json_d1be3e5f46029f867d463694f83fcbf7_onEachFeature(feature, layer) {
            layer.on({
            });
        };
        var geo_json_d1be3e5f46029f867d463694f83fcbf7 = L.geoJson(null, {
                smoothFactor: 1.0,
                onEachFeature: geo_json_d1be3e5f46029f867d463694f83fcbf7_onEachFeature,
            
                style: geo_json_d1be3e5f46029f867d463694f83fcbf7_styler,
        });

        function geo_json_d1be3e5f46029f867d463694f83fcbf7_add (data) {
            geo_json_d1be3e5f46029f867d463694f83fcbf7
                .addData(data)
                .addTo(map_6c5071c94d8650776a94e6706569bc85);
        }
            geo_json_d1be3e5f46029f867d463694f83fcbf7_add({"bbox": [-122.13483148443463, 23.34286288063484, -64.83519280239277, 51.754865985358926], "features": [{"bbox": [-103.53595441065622, 39.326802934475495, -91.4762617917987, 47.47151910715531], "geometry": {"coordinates": [[[-99.9170487939702, 47.47151910715531], [-102.32375599425875, 45.19762773889801], [-103.53595441065622, 44.08337983698415], [-101.04033001739266, 40.08859650843911], [-95.24686215665142, 39.326802934475495], [-92.81940976125261, 41.451206650953644], [-91.4762617917987, 42.444959538714684], [-93.39584904234344, 46.630019541751885], [-99.9170487939702, 47.47151910715531]]], "type": "Polygon"}, "id": "0", "properties": {"crop": "Corn", "popup": "# 1: Corn, 233 fields (45.78 %) \u003cbr\u003e# 2: Soybeans, 203 fields (39.88 %) \u003cbr\u003e# 3: Wheat-Winter, 39 fields (7.66 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-95.24686215665142, 34.05983621723471, -84.58516703208814, 42.444959538714684], "geometry": {"coordinates": [[[-88.0658863098819, 34.05983621723471], [-84.58516703208814, 37.099588896819924], [-85.70319925935871, 41.161268519233154], [-91.4762617917987, 42.444959538714684], [-92.81940987606531, 41.45120656106154], [-95.24686215665142, 39.326802934475495], [-93.26521175979076, 35.09010839353649], [-88.0658863098819, 34.05983621723471]]], "type": "Polygon"}, "id": "1", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 382 fields (49.55 %) \u003cbr\u003e# 2: Corn, 320 fields (41.50 %) \u003cbr\u003e# 3: Rice, 58 fields (7.52 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-113.04627123921182, 36.49436854843134, -101.04033001739266, 44.41307088095467], "geometry": {"coordinates": [[[-104.4548159269732, 36.49436854843134], [-101.04033001739266, 40.08859650843911], [-103.53595441065622, 44.08337983698415], [-109.78838725262649, 44.41307088095467], [-113.04627123921182, 40.72061994800501], [-110.25748485653355, 36.800197061174266], [-104.4548159269732, 36.49436854843134]]], "type": "Polygon"}, "id": "2", "properties": {"crop": "Corn", "popup": "# 1: Corn, 124 fields (48.06 %) \u003cbr\u003e# 2: Wheat-Winter, 55 fields (21.32 %) \u003cbr\u003e# 3: Corn 2, 21 fields (8.14 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-104.4548159269732, 31.619530626908524, -93.26521175979076, 40.08859650843911], "geometry": {"coordinates": [[[-96.66289038040519, 31.619530626908524], [-93.26521175979076, 35.09010839353649], [-95.24686215665142, 39.326802934475495], [-101.04033001739266, 40.08859650843911], [-104.4548159269732, 36.49436854843134], [-102.09323459159485, 32.26874743091332], [-96.66289038040519, 31.619530626908524]]], "type": "Polygon"}, "id": "3", "properties": {"crop": "Wheat-Winter", "popup": "# 1: Wheat-Winter, 187 fields (49.60 %) \u003cbr\u003e# 2: Corn, 82 fields (21.75 %) \u003cbr\u003e# 3: Wheat, 61 fields (16.18 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-93.39584904234344, 41.161268519233154, -80.98225290216081, 49.812422681213235], "geometry": {"coordinates": [[[-88.65412421340821, 49.812422681213235], [-93.39584904234344, 46.630019541751885], [-91.4762617917987, 42.444959538714684], [-85.70319925935871, 41.161268519233154], [-80.98225290216081, 43.86011974432308], [-81.91962699890831, 48.295316381881364], [-88.65412421340821, 49.812422681213235]]], "type": "Polygon"}, "id": "4", "properties": {"crop": "Corn", "popup": "# 1: Corn, 64 fields (71.11 %) \u003cbr\u003e# 2: Soybeans, 24 fields (26.67 %) \u003cbr\u003e# 3: Wheat, 2 fields (2.22 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-112.78800392829437, 44.08337983698415, -99.9170487939702, 51.754865985358926], "geometry": {"coordinates": [[[-109.99461055319725, 51.754865985358926], [-112.78800392829437, 48.011188120377795], [-109.78838725262649, 44.41307088095467], [-103.53595441065622, 44.08337983698415], [-102.3237558928985, 45.1976278397994], [-99.9170487939702, 47.47151910715531], [-102.90229770085304, 51.55677580791123], [-109.99461055319725, 51.754865985358926]]], "type": "Polygon"}, "id": "5", "properties": {"crop": "Canola", "popup": "# 1: Canola, 298 fields (23.10 %) \u003cbr\u003e# 2: Wheat, 215 fields (16.67 %) \u003cbr\u003e# 3: Soybeans, 174 fields (13.49 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-122.13483148443463, 40.57057178749683, -109.78838725262649, 48.01118812037779], "geometry": {"coordinates": [[[-113.04627123921182, 40.72061994800501], [-109.78838725262649, 44.41307088095467], [-112.78800392829437, 48.01118812037779], [-119.23221501743073, 47.80409716753512], [-122.13483148443463, 44.05769081450337], [-119.0022822666251, 40.57057178749683], [-113.04627123921182, 40.72061994800501]]], "type": "Polygon"}, "id": "6", "properties": {"crop": "Wheat-Spring", "popup": "# 1: Wheat-Spring, 28 fields (41.79 %) \u003cbr\u003e# 2: Wheat-Winter, 22 fields (32.84 %) \u003cbr\u003e# 3: Canola, 9 fields (13.43 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-75.33345172379178, 35.933886597496496, -64.83519280239277, 44.27784933847793], "geometry": {"coordinates": [[[-69.95506755076664, 44.27784933847793], [-75.33345172379178, 42.029563712253676], [-75.06331695265312, 37.849068867978225], [-70.31141226372195, 35.933886597496496], [-65.44814220216789, 37.82209134722365], [-64.83519280239277, 41.948534313112596], [-69.95506755076664, 44.27784933847793]]], "type": "Polygon"}, "id": "7", "properties": {"crop": "Corn", "popup": "# 1: Corn, 1 fields (100.00 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-85.70319925935871, 35.583566775060376, -75.06331695265312, 43.86011974432308], "geometry": {"coordinates": [[[-80.98225290216081, 43.86011974432308], [-85.70319925935871, 41.161268519233154], [-84.58516703208812, 37.09958889681993], [-79.55761808651525, 35.583566775060376], [-75.06331695265312, 37.849068867978225], [-75.33345172379178, 42.029563712253676], [-80.98225290216081, 43.86011974432308]]], "type": "Polygon"}, "id": "8", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 60 fields (56.60 %) \u003cbr\u003e# 2: Corn, 46 fields (43.40 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-79.55761808651525, 30.219492199828103, -70.31141226372195, 37.849068867978225], "geometry": {"coordinates": [[[-75.06331695265312, 37.849068867978225], [-79.55761808651525, 35.583566775060376], [-79.27010935561717, 33.65946189170478], [-78.7359276165128, 31.57725956841631], [-74.64046816708004, 30.219492199828103], [-70.4494190490417, 32.12169030756375], [-70.31141226372195, 35.933886597496496], [-75.06331695265312, 37.849068867978225]]], "type": "Polygon"}, "id": "9", "properties": {"crop": "Corn", "popup": "# 1: Corn, 212 fields (51.71 %) \u003cbr\u003e# 2: Soybeans, 150 fields (36.59 %) \u003cbr\u003e# 3: Wheat, 29 fields (7.07 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-81.91962699890831, 42.029563712253676, -69.71947899952944, 50.99021068384577], "geometry": {"coordinates": [[[-76.05772874399094, 50.99021068384577], [-81.91962699890831, 48.295316381881364], [-80.98225290216081, 43.86011974432308], [-75.33345172379178, 42.029563712253676], [-69.95506755076664, 44.27784933847793], [-69.71947899952944, 48.75743167756337], [-76.05772874399094, 50.99021068384577]]], "type": "Polygon"}, "id": "10", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 80 fields (49.08 %) \u003cbr\u003e# 2: Corn, 51 fields (31.29 %) \u003cbr\u003e# 3: Wheat-Winter, 18 fields (11.04 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-96.66289038040519, 26.426478135308493, -86.5457782112497, 35.09010839353649], "geometry": {"coordinates": [[[-89.80771154120198, 26.426478135308493], [-86.5457782112497, 29.759287059695453], [-88.0658863098819, 34.05983621723471], [-93.26521175979076, 35.09010839353649], [-96.66289038040519, 31.619530626908524], [-94.74356847987166, 27.264005617361743], [-89.80771154120198, 26.426478135308493]]], "type": "Polygon"}, "id": "11", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 62 fields (71.26 %) \u003cbr\u003e# 2: Corn, 18 fields (20.69 %) \u003cbr\u003e# 3: Rice, 7 fields (8.05 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-81.9664941624314, 23.34286288063484, -73.86827872769489, 31.57725956841631], "geometry": {"coordinates": [[[-76.8312173516333, 23.34286288063484], [-73.86827872769489, 26.19044873092739], [-74.64046816708004, 30.219492199828103], [-78.7359276165128, 31.57725956841631], [-81.9664941624314, 28.631806501945587], [-80.82969048713068, 24.429618069495433], [-76.8312173516333, 23.34286288063484]]], "type": "Polygon"}, "id": "12", "properties": {"crop": "Rice", "popup": "# 1: Rice, 5 fields (100.00 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-88.0658863098819, 28.631806501945587, -78.7359276165128, 37.099588896819924], "geometry": {"coordinates": [[[-81.9664941624314, 28.631806501945587], [-78.7359276165128, 31.57725956841631], [-79.27010935561717, 33.659461891704765], [-79.55761808651525, 35.583566775060376], [-84.58516703208814, 37.099588896819924], [-88.0658863098819, 34.05983621723471], [-86.5457782112497, 29.759287059695453], [-81.9664941624314, 28.631806501945587]]], "type": "Polygon"}, "id": "13", "properties": {"crop": "Corn", "popup": "# 1: Corn, 6 fields (85.71 %) \u003cbr\u003e# 2: Soybeans, 1 fields (14.29 %) \u003cbr\u003e"}, "type": "Feature"}], "type": "FeatureCollection"});

        
    
    geo_json_d1be3e5f46029f867d463694f83fcbf7.bindTooltip(
    function(layer){
    let div = L.DomUtil.create('div');
    
    let handleObject = feature=>typeof(feature)=='object' ? JSON.stringify(feature) : feature;
    let fields = ["crop"];
    let aliases = ["crop"];
    let table = '<table>' +
        String(
        fields.map(
        (v,i)=>
        `<tr>
            <th>${aliases[i]}</th>
            
            <td>${handleObject(layer.feature.properties[v])}</td>
        </tr>`).join(''))
    +'</table>';
    div.innerHTML=table;
    
    return div
    }
    ,{"className": "foliumtooltip", "sticky": true});
                     
    
    geo_json_d1be3e5f46029f867d463694f83fcbf7.bindPopup(
    function(layer){
    let div = L.DomUtil.create('div');
    
    let handleObject = feature=>typeof(feature)=='object' ? JSON.stringify(feature) : feature;
    let fields = ["popup"];
    let aliases = ["popup"];
    let table = '<table>' +
        String(
        fields.map(
        (v,i)=>
        `<tr>
            <td>${handleObject(layer.feature.properties[v]).toLocaleString()}</td>
        </tr>`).join(''))
    +'</table>';
    div.innerHTML=table;
    
    return div
    }
    ,{"className": "foliumpopup"});
                     
    
        function geo_json_53004d44227e92b17890908a468ea647_styler(feature) {
            switch(feature.id) {
                default:
                    return {"fillColor": "orange"};
            }
        }

        function geo_json_53004d44227e92b17890908a468ea647_onEachFeature(feature, layer) {
            layer.on({
            });
        };
        var geo_json_53004d44227e92b17890908a468ea647 = L.geoJson(null, {
                smoothFactor: 1.0,
                onEachFeature: geo_json_53004d44227e92b17890908a468ea647_onEachFeature,
            
                style: geo_json_53004d44227e92b17890908a468ea647_styler,
        });

        function geo_json_53004d44227e92b17890908a468ea647_add (data) {
            geo_json_53004d44227e92b17890908a468ea647
                .addData(data)
                .addTo(map_6c5071c94d8650776a94e6706569bc85);
        }
            geo_json_53004d44227e92b17890908a468ea647_add({"bbox": [-131.2901594178203, 23.34286288063484, -64.83519280239277, 51.754865985358926], "features": [{"bbox": [-103.53595441065622, 39.326802934475495, -91.4762617917987, 47.47151910715531], "geometry": {"coordinates": [[[-99.9170487939702, 47.47151910715531], [-102.32375599425875, 45.19762773889801], [-103.53595441065622, 44.08337983698415], [-101.04033001739266, 40.08859650843911], [-95.24686215665142, 39.326802934475495], [-92.81940976125261, 41.451206650953644], [-91.4762617917987, 42.444959538714684], [-93.39584904234344, 46.630019541751885], [-99.9170487939702, 47.47151910715531]]], "type": "Polygon"}, "id": "14", "properties": {"crop": "Corn", "popup": "# 1: Corn, 566 fields (46.78 %) \u003cbr\u003e# 2: Soybeans, 467 fields (38.60 %) \u003cbr\u003e# 3: Wheat-Winter, 34 fields (2.81 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-95.24686215665142, 34.05983621723471, -84.58516703208814, 42.444959538714684], "geometry": {"coordinates": [[[-88.0658863098819, 34.05983621723471], [-84.58516703208814, 37.099588896819924], [-85.70319925935871, 41.161268519233154], [-91.4762617917987, 42.444959538714684], [-92.81940987606531, 41.45120656106154], [-95.24686215665142, 39.326802934475495], [-93.26521175979076, 35.09010839353649], [-88.0658863098819, 34.05983621723471]]], "type": "Polygon"}, "id": "15", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 1242 fields (55.30 %) \u003cbr\u003e# 2: Corn, 675 fields (30.05 %) \u003cbr\u003e# 3: Rice, 259 fields (11.53 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-113.04627123921182, 36.49436854843134, -101.04033001739266, 44.41307088095467], "geometry": {"coordinates": [[[-104.4548159269732, 36.49436854843134], [-101.04033001739266, 40.08859650843911], [-103.53595441065622, 44.08337983698415], [-109.78838725262649, 44.41307088095467], [-113.04627123921182, 40.72061994800501], [-110.25748485653355, 36.800197061174266], [-104.4548159269732, 36.49436854843134]]], "type": "Polygon"}, "id": "16", "properties": {"crop": "Corn", "popup": "# 1: Corn, 237 fields (59.10 %) \u003cbr\u003e# 2: Wheat, 81 fields (20.20 %) \u003cbr\u003e# 3: Wheat-Winter, 22 fields (5.49 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-104.4548159269732, 31.619530626908524, -93.26521175979076, 40.08859650843911], "geometry": {"coordinates": [[[-96.66289038040519, 31.619530626908524], [-93.26521175979076, 35.09010839353649], [-95.24686215665142, 39.326802934475495], [-101.04033001739266, 40.08859650843911], [-104.4548159269732, 36.49436854843134], [-102.09323459159485, 32.26874743091332], [-96.66289038040519, 31.619530626908524]]], "type": "Polygon"}, "id": "17", "properties": {"crop": "Wheat-Winter", "popup": "# 1: Wheat-Winter, 146 fields (41.24 %) \u003cbr\u003e# 2: Wheat, 107 fields (30.23 %) \u003cbr\u003e# 3: Corn, 82 fields (23.16 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-93.39584904234344, 41.161268519233154, -80.98225290216081, 49.812422681213235], "geometry": {"coordinates": [[[-88.65412421340821, 49.812422681213235], [-93.39584904234344, 46.630019541751885], [-91.4762617917987, 42.444959538714684], [-85.70319925935871, 41.161268519233154], [-80.98225290216081, 43.86011974432308], [-81.91962699890831, 48.295316381881364], [-88.65412421340821, 49.812422681213235]]], "type": "Polygon"}, "id": "18", "properties": {"crop": "Corn", "popup": "# 1: Corn, 173 fields (43.14 %) \u003cbr\u003e# 2: Soybeans, 131 fields (32.67 %) \u003cbr\u003e# 3: Corn 2, 41 fields (10.22 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-112.78800392829437, 44.08337983698415, -99.9170487939702, 51.754865985358926], "geometry": {"coordinates": [[[-109.99461055319725, 51.754865985358926], [-112.78800392829437, 48.011188120377795], [-109.78838725262649, 44.41307088095467], [-103.53595441065622, 44.08337983698415], [-102.3237558928985, 45.1976278397994], [-99.9170487939702, 47.47151910715531], [-102.90229770085304, 51.55677580791123], [-109.99461055319725, 51.754865985358926]]], "type": "Polygon"}, "id": "19", "properties": {"crop": "Canola", "popup": "# 1: Canola, 358 fields (21.00 %) \u003cbr\u003e# 2: Wheat, 273 fields (16.01 %) \u003cbr\u003e# 3: Wheat-Spring, 243 fields (14.25 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-122.13483148443463, 40.57057178749683, -109.78838725262649, 48.01118812037779], "geometry": {"coordinates": [[[-113.04627123921182, 40.72061994800501], [-109.78838725262649, 44.41307088095467], [-112.78800392829437, 48.01118812037779], [-119.23221501743073, 47.80409716753512], [-122.13483148443463, 44.05769081450337], [-119.0022822666251, 40.57057178749683], [-113.04627123921182, 40.72061994800501]]], "type": "Polygon"}, "id": "20", "properties": {"crop": "Wheat", "popup": "# 1: Wheat, 144 fields (67.29 %) \u003cbr\u003e# 2: Wheat-Winter, 33 fields (15.42 %) \u003cbr\u003e# 3: Wheat-Spring, 17 fields (7.94 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-131.2901594178203, 43.41920841314796, -119.23221501743073, 50.98471128168905], "geometry": {"coordinates": [[[-122.13483148443463, 44.05769081450337], [-119.23221501743073, 47.80409716753512], [-120.90754478902052, 49.3950339711823], [-123.12286550407036, 50.98471128168905], [-128.90985381013775, 50.154511597567456], [-131.2901594178203, 46.41694831075058], [-127.95866237076233, 43.41920841314796], [-122.13483148443463, 44.05769081450337]]], "type": "Polygon"}, "id": "21", "properties": {"crop": "Grass", "popup": "# 1: Grass, 90 fields (72.00 %) \u003cbr\u003e# 2: Grass-Red Fescue, 21 fields (16.80 %) \u003cbr\u003e# 3: Clover-Crimson, 4 fields (3.20 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-121.7071569184514, 32.77943799663872, -110.25748485653355, 40.72061994800501], "geometry": {"coordinates": [[[-113.26800832642184, 32.85690516760766], [-110.25748485653355, 36.800197061174266], [-113.04627123921182, 40.72061994800501], [-119.0022822666251, 40.57057178749683], [-121.7071569184514, 36.57421829680793], [-118.8045281400983, 32.77943799663872], [-113.26800832642184, 32.85690516760766]]], "type": "Polygon"}, "id": "22", "properties": {"crop": "Wheat-Durum", "popup": "# 1: Wheat-Durum, 40 fields (56.34 %) \u003cbr\u003e# 2: Peas-Chick, 31 fields (43.66 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-75.33345172379178, 35.933886597496496, -64.83519280239277, 44.27784933847793], "geometry": {"coordinates": [[[-69.95506755076664, 44.27784933847793], [-75.33345172379178, 42.029563712253676], [-75.06331695265312, 37.849068867978225], [-70.31141226372195, 35.933886597496496], [-65.44814220216789, 37.82209134722365], [-64.83519280239277, 41.948534313112596], [-69.95506755076664, 44.27784933847793]]], "type": "Polygon"}, "id": "23", "properties": {"crop": "Corn", "popup": "# 1: Corn, 10 fields (100.00 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-85.70319925935871, 35.583566775060376, -75.06331695265312, 43.86011974432308], "geometry": {"coordinates": [[[-80.98225290216081, 43.86011974432308], [-85.70319925935871, 41.161268519233154], [-84.58516703208812, 37.09958889681993], [-79.55761808651525, 35.583566775060376], [-75.06331695265312, 37.849068867978225], [-75.33345172379178, 42.029563712253676], [-80.98225290216081, 43.86011974432308]]], "type": "Polygon"}, "id": "24", "properties": {"crop": "Corn", "popup": "# 1: Corn, 468 fields (49.84 %) \u003cbr\u003e# 2: Soybeans, 349 fields (37.17 %) \u003cbr\u003e# 3: Wheat, 40 fields (4.26 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-79.55761808651525, 30.219492199828103, -70.31141226372195, 37.849068867978225], "geometry": {"coordinates": [[[-75.06331695265312, 37.849068867978225], [-79.55761808651525, 35.583566775060376], [-79.27010935561717, 33.65946189170478], [-78.7359276165128, 31.57725956841631], [-74.64046816708004, 30.219492199828103], [-70.4494190490417, 32.12169030756375], [-70.31141226372195, 35.933886597496496], [-75.06331695265312, 37.849068867978225]]], "type": "Polygon"}, "id": "25", "properties": {"crop": "Wheat", "popup": "# 1: Wheat, 5 fields (83.33 %) \u003cbr\u003e# 2: Soybeans, 1 fields (16.67 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-81.91962699890831, 42.029563712253676, -69.71947899952944, 50.99021068384577], "geometry": {"coordinates": [[[-76.05772874399094, 50.99021068384577], [-81.91962699890831, 48.295316381881364], [-80.98225290216081, 43.86011974432308], [-75.33345172379178, 42.029563712253676], [-69.95506755076664, 44.27784933847793], [-69.71947899952944, 48.75743167756337], [-76.05772874399094, 50.99021068384577]]], "type": "Polygon"}, "id": "26", "properties": {"crop": "Corn", "popup": "# 1: Corn, 316 fields (58.74 %) \u003cbr\u003e# 2: Soybeans, 152 fields (28.25 %) \u003cbr\u003e# 3: Wheat-Winter, 29 fields (5.39 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-96.66289038040519, 26.426478135308493, -86.5457782112497, 35.09010839353649], "geometry": {"coordinates": [[[-89.80771154120198, 26.426478135308493], [-86.5457782112497, 29.759287059695453], [-88.0658863098819, 34.05983621723471], [-93.26521175979076, 35.09010839353649], [-96.66289038040519, 31.619530626908524], [-94.74356847987166, 27.264005617361743], [-89.80771154120198, 26.426478135308493]]], "type": "Polygon"}, "id": "27", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 650 fields (75.67 %) \u003cbr\u003e# 2: Corn, 139 fields (16.18 %) \u003cbr\u003e# 3: Rice, 69 fields (8.03 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-81.9664941624314, 23.34286288063484, -73.86827872769489, 31.57725956841631], "geometry": {"coordinates": [[[-76.8312173516333, 23.34286288063484], [-73.86827872769489, 26.19044873092739], [-74.64046816708004, 30.219492199828103], [-78.7359276165128, 31.57725956841631], [-81.9664941624314, 28.631806501945587], [-80.82969048713068, 24.429618069495433], [-76.8312173516333, 23.34286288063484]]], "type": "Polygon"}, "id": "28", "properties": {"crop": "Rice", "popup": "# 1: Rice, 3 fields (100.00 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-88.0658863098819, 28.631806501945587, -78.7359276165128, 37.099588896819924], "geometry": {"coordinates": [[[-81.9664941624314, 28.631806501945587], [-78.7359276165128, 31.57725956841631], [-79.27010935561717, 33.659461891704765], [-79.55761808651525, 35.583566775060376], [-84.58516703208814, 37.099588896819924], [-88.0658863098819, 34.05983621723471], [-86.5457782112497, 29.759287059695453], [-81.9664941624314, 28.631806501945587]]], "type": "Polygon"}, "id": "29", "properties": {"crop": "Corn", "popup": "# 1: Corn, 19 fields (55.88 %) \u003cbr\u003e# 2: Soybeans, 13 fields (38.24 %) \u003cbr\u003e# 3: Wheat-Winter, 1 fields (2.94 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-105.25067839657362, 23.589794368093237, -94.74356847987166, 32.26874743091332], "geometry": {"coordinates": [[[-97.90563426634658, 23.589794368093237], [-94.74356847987166, 27.264005617361743], [-96.66289038040519, 31.619530626908524], [-102.09323459159485, 32.26874743091332], [-105.25067839657362, 28.438659785927772], [-103.01162576662247, 24.121727265447817], [-97.90563426634658, 23.589794368093237]]], "type": "Polygon"}, "id": "30", "properties": {"crop": "Rice", "popup": "# 1: Rice, 26 fields (100.00 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-113.26800832642184, 28.438659785927772, -102.09323459159485, 36.800197061174266], "geometry": {"coordinates": [[[-105.25067839657362, 28.438659785927772], [-102.09323459159485, 32.26874743091332], [-104.4548159269732, 36.49436854843134], [-110.25748485653355, 36.800197061174266], [-113.26800832642184, 32.85690516760766], [-110.66261804031069, 28.72380952741313], [-105.25067839657362, 28.438659785927772]]], "type": "Polygon"}, "id": "31", "properties": {"crop": "Wheat-Durum", "popup": "# 1: Wheat-Durum, 30 fields (50.85 %) \u003cbr\u003e# 2: Wheat-Spring, 15 fields (25.42 %) \u003cbr\u003e# 3: Peas-Chick, 9 fields (15.25 %) \u003cbr\u003e"}, "type": "Feature"}], "type": "FeatureCollection"});

        
    
    geo_json_53004d44227e92b17890908a468ea647.bindTooltip(
    function(layer){
    let div = L.DomUtil.create('div');
    
    let handleObject = feature=>typeof(feature)=='object' ? JSON.stringify(feature) : feature;
    let fields = ["crop"];
    let aliases = ["crop"];
    let table = '<table>' +
        String(
        fields.map(
        (v,i)=>
        `<tr>
            <th>${aliases[i]}</th>
            
            <td>${handleObject(layer.feature.properties[v])}</td>
        </tr>`).join(''))
    +'</table>';
    div.innerHTML=table;
    
    return div
    }
    ,{"className": "foliumtooltip", "sticky": true});
                     
    
    geo_json_53004d44227e92b17890908a468ea647.bindPopup(
    function(layer){
    let div = L.DomUtil.create('div');
    
    let handleObject = feature=>typeof(feature)=='object' ? JSON.stringify(feature) : feature;
    let fields = ["popup"];
    let aliases = ["popup"];
    let table = '<table>' +
        String(
        fields.map(
        (v,i)=>
        `<tr>
            <td>${handleObject(layer.feature.properties[v]).toLocaleString()}</td>
        </tr>`).join(''))
    +'</table>';
    div.innerHTML=table;
    
    return div
    }
    ,{"className": "foliumpopup"});
                     
    
        function geo_json_00f83a1189d642d93f6df303404ef996_styler(feature) {
            switch(feature.id) {
                default:
                    return {"fillColor": "orange"};
            }
        }

        function geo_json_00f83a1189d642d93f6df303404ef996_onEachFeature(feature, layer) {
            layer.on({
            });
        };
        var geo_json_00f83a1189d642d93f6df303404ef996 = L.geoJson(null, {
                smoothFactor: 1.0,
                onEachFeature: geo_json_00f83a1189d642d93f6df303404ef996_onEachFeature,
            
                style: geo_json_00f83a1189d642d93f6df303404ef996_styler,
        });

        function geo_json_00f83a1189d642d93f6df303404ef996_add (data) {
            geo_json_00f83a1189d642d93f6df303404ef996
                .addData(data)
                .addTo(map_6c5071c94d8650776a94e6706569bc85);
        }
            geo_json_00f83a1189d642d93f6df303404ef996_add({"bbox": [-131.2901594178203, 23.34286288063484, -64.83519280239277, 51.754865985358926], "features": [{"bbox": [-103.53595441065622, 39.326802934475495, -91.4762617917987, 47.47151910715531], "geometry": {"coordinates": [[[-99.9170487939702, 47.47151910715531], [-102.32375599425875, 45.19762773889801], [-103.53595441065622, 44.08337983698415], [-101.04033001739266, 40.08859650843911], [-95.24686215665142, 39.326802934475495], [-92.81940976125261, 41.451206650953644], [-91.4762617917987, 42.444959538714684], [-93.39584904234344, 46.630019541751885], [-99.9170487939702, 47.47151910715531]]], "type": "Polygon"}, "id": "32", "properties": {"crop": "Corn", "popup": "# 1: Corn, 1162 fields (46.59 %) \u003cbr\u003e# 2: Soybeans, 1043 fields (41.82 %) \u003cbr\u003e# 3: Wheat-Winter, 96 fields (3.85 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-95.24686215665142, 34.05983621723471, -84.58516703208814, 42.444959538714684], "geometry": {"coordinates": [[[-88.0658863098819, 34.05983621723471], [-84.58516703208814, 37.099588896819924], [-85.70319925935871, 41.161268519233154], [-91.4762617917987, 42.444959538714684], [-92.81940987606531, 41.45120656106154], [-95.24686215665142, 39.326802934475495], [-93.26521175979076, 35.09010839353649], [-88.0658863098819, 34.05983621723471]]], "type": "Polygon"}, "id": "33", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 3532 fields (49.61 %) \u003cbr\u003e# 2: Corn, 2597 fields (36.48 %) \u003cbr\u003e# 3: Rice, 607 fields (8.53 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-113.04627123921182, 36.49436854843134, -101.04033001739266, 44.41307088095467], "geometry": {"coordinates": [[[-104.4548159269732, 36.49436854843134], [-101.04033001739266, 40.08859650843911], [-103.53595441065622, 44.08337983698415], [-109.78838725262649, 44.41307088095467], [-113.04627123921182, 40.72061994800501], [-110.25748485653355, 36.800197061174266], [-104.4548159269732, 36.49436854843134]]], "type": "Polygon"}, "id": "34", "properties": {"crop": "Corn", "popup": "# 1: Corn, 291 fields (40.64 %) \u003cbr\u003e# 2: Wheat, 190 fields (26.54 %) \u003cbr\u003e# 3: Wheat-Winter, 150 fields (20.95 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-104.4548159269732, 31.619530626908524, -93.26521175979076, 40.08859650843911], "geometry": {"coordinates": [[[-96.66289038040519, 31.619530626908524], [-93.26521175979076, 35.09010839353649], [-95.24686215665142, 39.326802934475495], [-101.04033001739266, 40.08859650843911], [-104.4548159269732, 36.49436854843134], [-102.09323459159485, 32.26874743091332], [-96.66289038040519, 31.619530626908524]]], "type": "Polygon"}, "id": "35", "properties": {"crop": "Wheat-Winter", "popup": "# 1: Wheat-Winter, 786 fields (56.18 %) \u003cbr\u003e# 2: Wheat, 243 fields (17.37 %) \u003cbr\u003e# 3: Corn, 185 fields (13.22 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-93.39584904234344, 41.161268519233154, -80.98225290216081, 49.812422681213235], "geometry": {"coordinates": [[[-88.65412421340821, 49.812422681213235], [-93.39584904234344, 46.630019541751885], [-91.4762617917987, 42.444959538714684], [-85.70319925935871, 41.161268519233154], [-80.98225290216081, 43.86011974432308], [-81.91962699890831, 48.295316381881364], [-88.65412421340821, 49.812422681213235]]], "type": "Polygon"}, "id": "36", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 486 fields (45.38 %) \u003cbr\u003e# 2: Corn, 474 fields (44.26 %) \u003cbr\u003e# 3: Wheat-Winter, 48 fields (4.48 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-112.78800392829437, 44.08337983698415, -99.9170487939702, 51.754865985358926], "geometry": {"coordinates": [[[-109.99461055319725, 51.754865985358926], [-112.78800392829437, 48.011188120377795], [-109.78838725262649, 44.41307088095467], [-103.53595441065622, 44.08337983698415], [-102.3237558928985, 45.1976278397994], [-99.9170487939702, 47.47151910715531], [-102.90229770085304, 51.55677580791123], [-109.99461055319725, 51.754865985358926]]], "type": "Polygon"}, "id": "37", "properties": {"crop": "Canola", "popup": "# 1: Canola, 763 fields (22.44 %) \u003cbr\u003e# 2: Wheat-Spring, 519 fields (15.26 %) \u003cbr\u003e# 3: Lentils, 417 fields (12.26 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-122.13483148443463, 40.57057178749683, -109.78838725262649, 48.01118812037779], "geometry": {"coordinates": [[[-113.04627123921182, 40.72061994800501], [-109.78838725262649, 44.41307088095467], [-112.78800392829437, 48.01118812037779], [-119.23221501743073, 47.80409716753512], [-122.13483148443463, 44.05769081450337], [-119.0022822666251, 40.57057178749683], [-113.04627123921182, 40.72061994800501]]], "type": "Polygon"}, "id": "38", "properties": {"crop": "Wheat-Winter", "popup": "# 1: Wheat-Winter, 129 fields (32.99 %) \u003cbr\u003e# 2: Canola, 65 fields (16.62 %) \u003cbr\u003e# 3: Wheat-Spring, 45 fields (11.51 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-131.2901594178203, 43.41920841314796, -119.23221501743073, 50.98471128168905], "geometry": {"coordinates": [[[-122.13483148443463, 44.05769081450337], [-119.23221501743073, 47.80409716753512], [-120.90754478902052, 49.3950339711823], [-123.12286550407036, 50.98471128168905], [-128.90985381013775, 50.154511597567456], [-131.2901594178203, 46.41694831075058], [-127.95866237076233, 43.41920841314796], [-122.13483148443463, 44.05769081450337]]], "type": "Polygon"}, "id": "39", "properties": {"crop": "Grass-Red Fescue", "popup": "# 1: Grass-Red Fescue, 48 fields (68.57 %) \u003cbr\u003e# 2: Wheat, 9 fields (12.86 %) \u003cbr\u003e# 3: Grass, 8 fields (11.43 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-75.33345172379178, 35.933886597496496, -64.83519280239277, 44.27784933847793], "geometry": {"coordinates": [[[-69.95506755076664, 44.27784933847793], [-75.33345172379178, 42.029563712253676], [-75.06331695265312, 37.849068867978225], [-70.31141226372195, 35.933886597496496], [-65.44814220216789, 37.82209134722365], [-64.83519280239277, 41.948534313112596], [-69.95506755076664, 44.27784933847793]]], "type": "Polygon"}, "id": "40", "properties": {"crop": "Corn", "popup": "# 1: Corn, 3 fields (37.50 %) \u003cbr\u003e# 2: Wheat-Winter, 3 fields (37.50 %) \u003cbr\u003e# 3: Soybeans, 2 fields (25.00 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-85.70319925935871, 35.583566775060376, -75.06331695265312, 43.86011974432308], "geometry": {"coordinates": [[[-80.98225290216081, 43.86011974432308], [-85.70319925935871, 41.161268519233154], [-84.58516703208812, 37.09958889681993], [-79.55761808651525, 35.583566775060376], [-75.06331695265312, 37.849068867978225], [-75.33345172379178, 42.029563712253676], [-80.98225290216081, 43.86011974432308]]], "type": "Polygon"}, "id": "41", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 1147 fields (45.46 %) \u003cbr\u003e# 2: Corn, 1100 fields (43.60 %) \u003cbr\u003e# 3: Wheat-Winter, 134 fields (5.31 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-79.55761808651525, 30.219492199828103, -70.31141226372195, 37.849068867978225], "geometry": {"coordinates": [[[-75.06331695265312, 37.849068867978225], [-79.55761808651525, 35.583566775060376], [-79.27010935561717, 33.65946189170478], [-78.7359276165128, 31.57725956841631], [-74.64046816708004, 30.219492199828103], [-70.4494190490417, 32.12169030756375], [-70.31141226372195, 35.933886597496496], [-75.06331695265312, 37.849068867978225]]], "type": "Polygon"}, "id": "42", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 43 fields (86.00 %) \u003cbr\u003e# 2: Wheat-Spring, 4 fields (8.00 %) \u003cbr\u003e# 3: Corn, 2 fields (4.00 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-81.91962699890831, 42.029563712253676, -69.71947899952944, 50.99021068384577], "geometry": {"coordinates": [[[-76.05772874399094, 50.99021068384577], [-81.91962699890831, 48.295316381881364], [-80.98225290216081, 43.86011974432308], [-75.33345172379178, 42.029563712253676], [-69.95506755076664, 44.27784933847793], [-69.71947899952944, 48.75743167756337], [-76.05772874399094, 50.99021068384577]]], "type": "Polygon"}, "id": "43", "properties": {"crop": "Corn", "popup": "# 1: Corn, 174 fields (47.15 %) \u003cbr\u003e# 2: Soybeans, 134 fields (36.31 %) \u003cbr\u003e# 3: Wheat-Winter, 34 fields (9.21 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-96.66289038040519, 26.426478135308493, -86.5457782112497, 35.09010839353649], "geometry": {"coordinates": [[[-89.80771154120198, 26.426478135308493], [-86.5457782112497, 29.759287059695453], [-88.0658863098819, 34.05983621723471], [-93.26521175979076, 35.09010839353649], [-96.66289038040519, 31.619530626908524], [-94.74356847987166, 27.264005617361743], [-89.80771154120198, 26.426478135308493]]], "type": "Polygon"}, "id": "44", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 886 fields (59.42 %) \u003cbr\u003e# 2: Corn, 332 fields (22.27 %) \u003cbr\u003e# 3: Rice, 270 fields (18.11 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-81.9664941624314, 23.34286288063484, -73.86827872769489, 31.57725956841631], "geometry": {"coordinates": [[[-76.8312173516333, 23.34286288063484], [-73.86827872769489, 26.19044873092739], [-74.64046816708004, 30.219492199828103], [-78.7359276165128, 31.57725956841631], [-81.9664941624314, 28.631806501945587], [-80.82969048713068, 24.429618069495433], [-76.8312173516333, 23.34286288063484]]], "type": "Polygon"}, "id": "45", "properties": {"crop": "Rice", "popup": "# 1: Rice, 22 fields (100.00 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-88.0658863098819, 28.631806501945587, -78.7359276165128, 37.099588896819924], "geometry": {"coordinates": [[[-81.9664941624314, 28.631806501945587], [-78.7359276165128, 31.57725956841631], [-79.27010935561717, 33.659461891704765], [-79.55761808651525, 35.583566775060376], [-84.58516703208814, 37.099588896819924], [-88.0658863098819, 34.05983621723471], [-86.5457782112497, 29.759287059695453], [-81.9664941624314, 28.631806501945587]]], "type": "Polygon"}, "id": "46", "properties": {"crop": "Soybeans", "popup": "# 1: Soybeans, 20 fields (46.51 %) \u003cbr\u003e# 2: Corn, 20 fields (46.51 %) \u003cbr\u003e# 3: Wheat-Winter, 2 fields (4.65 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-105.25067839657362, 23.589794368093237, -94.74356847987166, 32.26874743091332], "geometry": {"coordinates": [[[-97.90563426634658, 23.589794368093237], [-94.74356847987166, 27.264005617361743], [-96.66289038040519, 31.619530626908524], [-102.09323459159485, 32.26874743091332], [-105.25067839657362, 28.438659785927772], [-103.01162576662247, 24.121727265447817], [-97.90563426634658, 23.589794368093237]]], "type": "Polygon"}, "id": "47", "properties": {"crop": "Corn", "popup": "# 1: Corn, 14 fields (87.50 %) \u003cbr\u003e# 2: Sorghum, 2 fields (12.50 %) \u003cbr\u003e"}, "type": "Feature"}, {"bbox": [-113.26800832642184, 28.438659785927772, -102.09323459159485, 36.800197061174266], "geometry": {"coordinates": [[[-105.25067839657362, 28.438659785927772], [-102.09323459159485, 32.26874743091332], [-104.4548159269732, 36.49436854843134], [-110.25748485653355, 36.800197061174266], [-113.26800832642184, 32.85690516760766], [-110.66261804031069, 28.72380952741313], [-105.25067839657362, 28.438659785927772]]], "type": "Polygon"}, "id": "48", "properties": {"crop": "Corn", "popup": "# 1: Corn, 108 fields (70.59 %) \u003cbr\u003e# 2: Wheat-Durum, 17 fields (11.11 %) \u003cbr\u003e# 3: Barley-Winter, 10 fields (6.54 %) \u003cbr\u003e"}, "type": "Feature"}], "type": "FeatureCollection"});

        
    
    geo_json_00f83a1189d642d93f6df303404ef996.bindTooltip(
    function(layer){
    let div = L.DomUtil.create('div');
    
    let handleObject = feature=>typeof(feature)=='object' ? JSON.stringify(feature) : feature;
    let fields = ["crop"];
    let aliases = ["crop"];
    let table = '<table>' +
        String(
        fields.map(
        (v,i)=>
        `<tr>
            <th>${aliases[i]}</th>
            
            <td>${handleObject(layer.feature.properties[v])}</td>
        </tr>`).join(''))
    +'</table>';
    div.innerHTML=table;
    
    return div
    }
    ,{"className": "foliumtooltip", "sticky": true});
                     
    
    geo_json_00f83a1189d642d93f6df303404ef996.bindPopup(
    function(layer){
    let div = L.DomUtil.create('div');
    
    let handleObject = feature=>typeof(feature)=='object' ? JSON.stringify(feature) : feature;
    let fields = ["popup"];
    let aliases = ["popup"];
    let table = '<table>' +
        String(
        fields.map(
        (v,i)=>
        `<tr>
            <td>${handleObject(layer.feature.properties[v]).toLocaleString()}</td>
        </tr>`).join(''))
    +'</table>';
    div.innerHTML=table;
    
    return div
    }
    ,{"className": "foliumpopup"});
                     
    
            var layer_control_58591e4b7540617227f90caa94b543f8 = {
                base_layers : {
                    "openstreetmap" : tile_layer_dc367242e5353833def12723d0e26164,
                },
                overlays :  {
                    "2019" : geo_json_d1be3e5f46029f867d463694f83fcbf7,
                    "2020" : geo_json_53004d44227e92b17890908a468ea647,
                    "2021" : geo_json_00f83a1189d642d93f6df303404ef996,
                },
            };
            L.control.layers(
                layer_control_58591e4b7540617227f90caa94b543f8.base_layers,
                layer_control_58591e4b7540617227f90caa94b543f8.overlays,
                {"autoZIndex": true, "collapsed": true, "position": "topright"}
            ).addTo(map_6c5071c94d8650776a94e6706569bc85);
            geo_json_d1be3e5f46029f867d463694f83fcbf7.remove();
            geo_json_53004d44227e92b17890908a468ea647.remove();
        
</script>